<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>

<button id="btn2">Drück mich</button>

<script>
    function doSomething() {
        if(Math.random() > 0.5) {
            console.log("Hallo")
        }
    }

    function doSomethingElse(something) {
        const x = something.toLowerCase()
        console.log(x)
    }

    const btnElement = document.getElementById("btn")
    if(btnElement) {
        btnElement.addEventListener("click", () => {
            doSomething()
            doSomethingElse()
        })
    }

    document.getElementById("btn")?.addEventListener("click", () => console.log("Button clicked"));

    /*const calculateSum = (a, b) => {
        return a + b;
    };*/
    const calculateSum = (a, b) => a + b;

    /*function x(a) {
        return a ** 2;
    }*/
    const x = a => a ** 2;



    const a = {
        b: {
            c: {
                d: {
                    e: {
                        name: 'Hallo Welt'
                    }
                }
            }
        }
    }

    console.log(a.b?.c?.d?.e?.name)

    if(a.b && a.b.c && a.b.c.d && a.b.c.d.e) {
        console.log(a.b.c.d.e.name)
    }

    console.log(a.b.c.d.e.name)



    const persons = [

    ]
</script>

</body>
</html>
